Subject: Re: linux-next: arm tree build failure

From: Russell King <[email-masked]>
Date: Thu, 18 Sep 2008 23:04:57 +0100

On Fri, Sep 19, 2008 at 02:33:02AM +0800, Eric Miao wrote:
> On Fri, Sep 19, 2008 at 2:26 AM, Eric Miao <[email-masked]> wrote:
> >> diff --git a/drivers/video/backlight/Kconfig b/drivers/video/backlight/Kconfig
> >> index 8854dbb..361240a 100644
> >> --- a/drivers/video/backlight/Kconfig
> >> +++ b/drivers/video/backlight/Kconfig
> >> @@ -27,6 +27,7 @@ config LCD_CLASS_DEVICE
> >>  config LCD_CORGI
> >>        tristate "LCD Panel support for SHARP corgi/spitz model"
> >>        depends on LCD_CLASS_DEVICE && SPI_MASTER
> >> +       depends on ARM
> >
> > I think a "depends on PXA_SHARPSL" would be more precise here.
> >
> >>        default n
> >>        help
> >>          Say y here to support the LCD panels usually found on SHARP
> >
> 
> Russell,
> 
> Since the patch titled:
> 
> "lcd: add SPI-based LCD and backlight driver for SHARP corgi/spitz"
> 
> is merged in your tree, and I don't know if it hits the mainline or not
> (most likely not), I'd suggest to merge this into that one with Stephen's
> Signed-off-by. Would you please do that at your convenience, or let
> me know if you would like me to.

I've added your suggested change instead (PXA_SHARPSL makes much more
sense) so it doesn't require any additional sign-offs.  Will push it
out in about half an hour.

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: